%Rectangular concrete stress distribution
%----------Fetching work diagrams and material parameters-------%
Work_diagram
%---------------------------------------------------------------%
fcd = etta*fcd; % 3.1.7(3)

es = -epyud:0.0001:0.9*epcu3; % Strain of bottom reinfocement          
comprzoneheight = zeros(length(es),1); N_rd = zeros(length(es),1); M_rd = zeros(length(es),1);

for i = 1:length(es)
    h_virt = epcu3*(h+h_1)/(2*(epcu3-es(i))); %Virtual length points of maximum (positive) and zero strain
   %-----------Calculating strains and stresses---------------------------%
        if lam*h_virt >= h
            comprzoneheight(i) = h;
            Nc = b*comprzoneheight(i)*fcd; %Normalforce concrete
            es_top = epcu3*(h_virt-h/2+h_1/2)/h_virt; %Strain compression reinforcement
            M_Nc = 0; %Moment contribution from concrete
                %----Top reinforcement stresses----%
                if abs(es_top) <= eyd
                    sigma_top = es_top*Es;
                else
                    if es_top <= 0
                        sigma_top = -fyd;
                    else
                        sigma_top = fyd;
                    end
                end
                %----------------------------------%
                %----Bottom reinforcement stresses----%
                if abs(es(i)) <= eyd
                    sigma_bot = es(i)*Es;
                else
                    if es(i) <= 0 
                        sigma_bot = -fyd;
                    else 
                        sigma_bot = fyd;
                    end
                end
                %-------------------------------------%
    %---------------------------------------------------------------------%            
    %------------Force equilibrium----------------------------------------%
            Ns_top = sigma_top*As/2;
            Ns_bot = sigma_bot*As/2;
            N_rd(i) = Ns_top + Ns_bot + Nc; %Horisontal likevekt
            M_rd(i) = Ns_top*h_1/2 - Ns_bot*h_1/2; %Momentlikevekt     
    %---------------------------------------------------------------------%        
        else
    %------------Calculating strains and stresses-------------------------%        
            comprzoneheight(i) = lam*h_virt;
            Nc = b*comprzoneheight(i)*fcd; %Normal force concrete
            M_Nc = Nc*(h/2-comprzoneheight(i)/2); %Moment concrete
            es_top = epcu3*(h_virt-h/2+h_1/2)/h_virt; %Strain compr reinforcement
                %---Stresses top reinforcement----%
                if abs(es_top) <= eyd
                    sigma_top = es_top*Es;
                else
                    if es_top <= 0
                        sigma_top = -fyd;
                    else
                        sigma_top = fyd;
                    end
                end
                %---------------------------------%
                %---Stresses bottom reinforcement----%
                if abs(es(i)) <= eyd
                    sigma_bot = es(i)*Es;
                else
                    if es(i) <= 0 
                        sigma_bot = -fyd;
                    else 
                        sigma_bot = fyd;
                    end
                end
                %------------------------------------%
    %---------------------------------------------------------------------%
    %------------Force equilibrium----------------------------------------%
            Ns_top = sigma_top*As/2;
            Ns_bot = sigma_bot*As/2;
            N_rd(i) = Ns_top + Ns_bot + Nc; %Horisontal likevekt
            M_rd(i) = Ns_top*h_1/2 - Ns_bot*h_1/2+M_Nc; %Momentlikevekt
    %---------------------------------------------------------------------%
    %---------------------------------------------------------------------%
        end
   
end
%Plot tools:
%{
figure
MRd=10^-6*M_rd; NRd=10^-3*N_rd;
plot(MRd,NRd);
x=xlabel('Moment [kNm]');
y=ylabel('Axial force [kN]');
axis([0 1.1*10^-6*max(M_rd) 0 10^-3*max(N_rd)]);      
hold on
grid on
grid minor

str = sprintf('MN-diagram and design forces for column %s according to EC2-1-1', columnname);
t=title(str);

plot(MEd_s1(1:381),NEd(1:381),'r'); %for finere plot, plot bare positive moment (sjekk vektoren)
plot(MEd_s2(1:381),NEd(1:381),'r--'); %--II--
plot(MEd_c,NEd,'k');
l=legend('M-N-diagram','Nominal stiffness','Nominal stiffness, simplified','Nominal curvature');
set(x,'FontSize', 14);
set(y,'FontSize', 14);
set(l,'FontSize', 14);
set(t,'FontSize', 14);
hold off
%}

format long g
%Finding intersections, ie finding capacities:
[MRd_curvature,NRd_curvature]=intersections(MRd,NRd,MEd_c,NEd,0);
[MRd_stiffness,NRd_stiffness]=intersections(MRd,NRd,MEd_s1(1:381),NEd(1:381),0);
[MRd_stiffnesssimp,NRd_stiffnesssimp]=intersections(MRd,NRd,MEd_s2(1:381),NEd(1:381),0);

str = sprintf('Design capacities for column %s according to EC2-1-1: \nDesign axial forces; \nNominal curvature: %dkN \nNominal stiffness: %dkN, \nSimplified nominal stiffness: %dkN', columnname, round(NRd_curvature), round(NRd_stiffness), round(NRd_stiffnesssimp));
disp(str);    
