function [Pf rho] = system_probability(beta,alfa)
%Pf = probability of failure of series system
%beta is a vector with betas for the different systems [beta1;beta2;....]
%alfa is a 2-D vector with alfa values for the different systems, each
%column corresponds to each system
[v k] = size(alfa);
alfa_merket = transpose(alfa);
mu = zeros(length(beta),1);
%------------Approximating correlation matrix----------------------------%
for i = 1:k
   for j = 1:k
        rho(i,j) = transpose(alfa(:,i))*alfa(:,j);
   end
end
%------------------------------------------------------------------------%
Pf = 1-mvncdf(beta,mu,rho); %System probability
end