function [] = FailureProb(txt_file,Force)
%This script opens a .txt-file containing a list of column capacities for 
%all the realizations of the material parameters and checks if the capacity
%is lower than the axial force, "Force". The probabilit of failure is then
%calculated as number of failures divided by the number of simulations.
MC = load(txt_file);
[x y] = size(MC);
count = 0;
figure
hold on

for i = 1:x
    if MC(i,3) <= Force
        count = count +1;        
    end
    
        
end

Pf = count/x; %Probability of dailure
COV_Pf = 1/sqrt(x*Pf); %Estimated coefficient of variation of Pf

fprintf('Probability of failure is: %6.5f*10^-6\n',Pf*10^6)
fprintf('Coefficient of variation for failure probability: %6.5f\n',COV_Pf)
