function [Ecm,epc3,epcu3,etta,lam] = Concrete(fcm,fck)
%Concrete material parameters:
Ecm = 22*(fcm/10)^0.3*1000; %Concrete modulus of elasticity
if fck >= 50
    epc3 = (1.75+0.55*(fck-50)/40)*10^-3; %Strain at maximum stress
    epcu3 = (2.6+35*((90-fck)/100)^4)*10^-3; %Ultimate compressive strain
    etta = 1-(fck-50)/200;
    lam = 0.8-(fck-50)/400; %Reduction factor of concrete compressive zone
else
    epc3 = 1.75*10^-3;%Strain at maximum stress
    epcu3 = 3.5*10^-3;%Ultimate compressive strain
    etta = 1;
    lam = 0.8; %Reduction factor of concrete compressive zone
end
