function [xdesign,ydesign,beta,alfa1,alfa2,X1,X2,U1,U2,A0,A1,A2] = FORM(mu_logc,mu_logs,b_vector,Force,sigma_logc,sigma_logs,start1,start2)
%%%%INPUT PARAMETERS%%%%%%
%R = a_vector*b_vector
%a_vector has the form:a_vector(i,:) = [1 x1 x2 x1^2 x2^2 x1x2]
%b_vector contains the unknown coefficients and is found in RSM_generation.m
%G = R-Force (Limit state function)
%%%%%%%%%%%%%%%%%%%%%%%%%%
syms u1 u2
G(u1,u2)=[1 exp(u1*sigma_logc+mu_logc) exp(u2*sigma_logs+mu_logs) (exp(u1*sigma_logc+mu_logc))^2 (exp(u2*sigma_logs+mu_logs))^2 (exp(u1*sigma_logc+mu_logc))*(exp(u2*sigma_logs+mu_logs))]*b_vector-Force;
%----Linearizing G-------%
a1=diff(G,u1);
a2=diff(G,u2);
a0=G-a1*u1-a2*u2;
%------------------------%
%---Starting points of iterations-----%
u1(1)=(log(start1)-mu_logc)/sigma_logc;
u2(1)=(log(start2)-mu_logs)/sigma_logs;
%-------------------------------------%
i=1;
conv=1;
while conv>10^-6
mu_g=double(a0(u1(i),u2(i)));
sigma_g=double(sqrt(a1(u1(i),u2(i))^2+a2(u1(i),u2(i))^2));
beta=double(mu_g/sigma_g);
alfa1=double(a1(u1(i),u2(i))/sigma_g);
alfa2=double(a2(u1(i),u2(i))/sigma_g);
alfa_sum=alfa1^2+alfa2^2;

u1(i+1)=-alfa1*beta; %Updated design point in U-space
u2(i+1)=-alfa2*beta; %Updated design point in U-space

conv=sqrt((u1(i+1)-u1(i))^2+(u2(i+1)-u2(i))^2); %Convergence criterion

A0(i,:)=double(a0(u1(i),u2(i)));
A1(i,:)=double(a1(u1(i),u2(i)));
A2(i,:)=double(a2(u1(i),u2(i)));
i=i+1;
end
%--------Design points--------%
x1=double(exp(u1*sigma_logc+mu_logc));
x2=double(exp(u2*sigma_logs+mu_logs));
U1=transpose(double(u1));
U2=transpose(double(u2));
X1=transpose(double(x1));
X2=transpose(double(x2));

xdesign = double(exp(u1(end)*sigma_logc+mu_logc));
ydesign = double(exp(u2(end)*sigma_logs+mu_logs));
%-----------------------------%
end