function [x1d,x2d,x3d,x4d,x5d,beta,alfa1,alfa2,alfa3,alfa4,alfa5,X1,X2,X3,X4,X5,U1,U2,U3,U4,U5,A0,A1,A2,A3,A4,A5] = FORM(mu_logc,mu_logs,mu_logE,mu_e,mu_N,b_vector,sigma_logc,sigma_logs,sigma_logE,sigma_e,sigma_N,start1,start2,start3,start4,start5)
%---INPUT PARAMETERS---%
%R = a_vector*b_vector
%a_vector is of the form a(i,:)=[1 x1 x2 x1^2 x2^2 x1x2]
%b_vector inneholder de ukjente koeffesientene og finnes i RSM_generation_uspace.m
%G = R-Force
%----------------------%
syms u1 u2 u3 u4 u5
G(u1,u2,u3,u4,u5)=[1 exp(u1*sigma_logc+mu_logc) exp(u2*sigma_logs+mu_logs) exp(u3*sigma_logE+mu_logE) u4*sigma_e+mu_e u5*sigma_N+mu_N (exp(u1*sigma_logc+mu_logc))^2 (exp(u2*sigma_logs+mu_logs))^2 (exp(u3*sigma_logE+mu_logE))^2 (u4*sigma_e+mu_e)^2 (u5*sigma_N+mu_N)^2]*b_vector;
%-------Linearizing limit state---------%
a1=diff(G,u1);
a2=diff(G,u2);
a3=diff(G,u3);
a4=diff(G,u4);
a5=diff(G,u5);
a0=G-a1*u1-a2*u2-a3*u3-a4*u4-a5*u5;
%---------------------------------------%
%----Starting points of iterations------%
u1(1)=(log(start1)-mu_logc)/sigma_logc;
u2(1)=(log(start2)-mu_logs)/sigma_logs;
u3(1)=(log(start3)-mu_logE)/sigma_logE;
u4(1)=(start4-mu_e)/sigma_e;
u5(1)=(start5-mu_N)/sigma_N;
%---------------------------------------%
i=1;
conv=1;
while conv>10^-6
mu_g=double(a0(u1(i),u2(i),u3(i),u4(i),u5(i)));
sigma_g=sqrt(double(a1(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a2(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a3(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a4(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a5(u1(i),u2(i),u3(i),u4(i),u5(i)))^2);
beta=mu_g/sigma_g;
%--------Sensitivity factors---------------------------%
alfa1=double(a1(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa2=double(a2(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa3=double(a3(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa4=double(a4(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa5=double(a5(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa_sum=alfa1^2+alfa2^2+alfa3^2+alfa4^2+alfa5^2;
%------------------------------------------------------%
%-----Updating design points-------%
u1(i+1)=-alfa1*beta;
u2(i+1)=-alfa2*beta;
u3(i+1)=-alfa3*beta;
u4(i+1)=-alfa4*beta;
u5(i+1)=-alfa5*beta;
%----------------------------------%

conv=sqrt((u1(i+1)-u1(i))^2+(u2(i+1)-u2(i))^2+(u3(i+1)-u3(i))^2+(u4(i+1)-u4(i))^2+(u5(i+1)-u5(i))^2); %Convergence criterion
A0(i,:)=double(a0(u1(i),u2(i),u3(i),u4(i),u5(i)));
A1(i,:)=double(a1(u1(i),u2(i),u3(i),u4(i),u5(i)));
A2(i,:)=double(a2(u1(i),u2(i),u3(i),u4(i),u5(i)));
A3(i,:)=double(a3(u1(i),u2(i),u3(i),u4(i),u5(i)));
A4(i,:)=double(a4(u1(i),u2(i),u3(i),u4(i),u5(i)));
A5(i,:)=double(a5(u1(i),u2(i),u3(i),u4(i),u5(i)));
i=i+1;
end
%---------------Design points----------------------%
U1=double(u1)';
U2=double(u2)';
U3=double(u3)';
U4=double(u4)';
U5=double(u5)';
X1=double(exp(u1*sigma_logc+mu_logc))'; x1d=X1(end);
X2=double(exp(u2*sigma_logs+mu_logs))'; x2d=X2(end);
X3=double(exp(u3*sigma_logE+mu_logE))'; x3d=X3(end);
X4=double((u4*sigma_e+mu_e))'; x4d=X4(end);
X5=double((u5*sigma_N+mu_N))'; x5d=X5(end);
%--------------------------------------------------%
end