function [fc, fy, Ec, e, N, Es, epc3, epcu3, epsy, epsu, etta, lam] = RSM_sample(fc_center,fy_center,Ec_center,e_center,N_center,f,sigma_logc,sigma_logs,sigma_logE,sigma_c,sigma_s,sigma_E,sigma_e,sigma_N,fck)
clc
close all

fc1=log((fc_center^2)*sqrt(1/(sigma_c^2+fc_center^2)));
fy1=log((fy_center^2)*sqrt(1/(sigma_s^2+fy_center^2)));
Ec1=log((Ec_center^2)*sqrt(1/(sigma_E^2+Ec_center^2)));
%-----Realizations of the stachastic variables at the sample points-------%
fc(1) = fc_center;
fc(2) = exp(+f*sigma_logc+fc1);
fc(3) = exp(-f*sigma_logc+fc1);
fc(4) = fc_center;
fc(5) = fc_center;
fc(6) = fc_center;
fc(7) = fc_center;
fc(8) = fc_center;
fc(9) = fc_center;
fc(10) = fc_center;
fc(11) = fc_center;

fy(1) = fy_center;
fy(2) = fy_center;
fy(3) = fy_center;
fy(4) = exp(+f*sigma_logs+fy1);
fy(5) = exp(-f*sigma_logs+fy1);
fy(6) = fy_center;
fy(7) = fy_center;
fy(8) = fy_center;
fy(9) = fy_center;
fy(10) = fy_center;
fy(11) = fy_center;

Ec(1) = Ec_center;
Ec(2) = Ec_center;
Ec(3) = Ec_center;
Ec(4) = Ec_center;
Ec(5) = Ec_center;
Ec(6) = exp(+f*sigma_logE+Ec1);
Ec(7) = exp(-f*sigma_logE+Ec1);
Ec(8) = Ec_center;
Ec(9) = Ec_center;
Ec(10) = Ec_center;
Ec(11) = Ec_center;

e(1) = e_center;
e(2) = e_center;
e(3) = e_center;
e(4) = e_center;
e(5) = e_center;
e(6) = e_center;
e(7) = e_center;
e(8) = +f*sigma_e+e_center;
e(9) = -f*sigma_e+e_center;
e(10) = e_center;
e(11) = e_center;

N(1) = N_center;
N(2) = N_center;
N(3) = N_center;
N(4) = N_center;
N(5) = N_center;
N(6) = N_center;
N(7) = N_center;
N(8) = N_center;
N(9) = N_center;
N(10) = +f*sigma_N+N_center;
N(11) = -f*sigma_N+N_center;
%-------------------------------------------------------------------------%
%-----Deterministic parameters------%
for i=1:length(fy)
    [epc3(i),epcu3(i),etta(i),lam(i)]=Concrete(fck);
    [Es(i),epsy(i),epsu(i)] = Steel(fy(i));
end
%-----------------------------------%
end
