function [b_vector,a_vector1] = RSM_generation(R,design_point_c,design_point_s,f,COV_c,sigma_logc,sigma_logs,mu_logc,mu_logs,fck)
%Generates response surface for on the resistance side.
%--------------Calculating b_vector using a least squares approach--------%
    for i = 1:length(design_point_c)
        [fc, fy] = RSM_sampling(design_point_c(i),design_point_s(i),f,sigma_logc,sigma_logs,mu_logc,mu_logs,fck,COV_c);
        a_vector(:,:,i) = [1 fc(1) fy(1) (fc(1))^2 (fy(1))^2 (fc(1))*(fy(1));
                        1 fc(2) fy(2) (fc(2))^2 (fy(2))^2 (fc(2))*(fy(2));
                        1 fc(3) fy(3) (fc(3))^2 (fy(3))^2 (fc(3))*(fy(3));
                        1 fc(4) fy(4) (fc(4))^2 (fy(4))^2 (fc(4))*(fy(4));
                        1 fc(5) fy(5) (fc(5))^2 (fy(5))^2 (fc(5))*(fy(5));
                        1 fc(6) fy(6) (fc(6))^2 (fy(6))^2 (fc(6))*(fy(6))];
    end

a_vector1=a_vector(:,:,1);
if length(design_point_c)==1
    a_vector1= a_vector(:,:,1);    
else
    for j=1:length(design_point_c)-1
        a_vector1=[a_vector1;a_vector(:,:,j+1)];
    end
end
format long
A=a_vector1.'*a_vector1;
B=a_vector1.'*R;
b_vector=pinv(A)*B;
%-------------------------------------------------------------------------%
end