function [fctm,Gf,Gc] = Concrete(fcm,fck,COV_c)
%%%%%Material parameters concrete C45%%%%%%%%%%%%

Gf = 73*fcm^0.18*10^-3; %Fracture energy from FIB model code
Gc = 250*Gf; %Compressive fracture energy from NLFEA Guidelines
fck_virt=1.15*fcm/exp(1.645*COV_c); %Characteristic compressive strength
if fck<=50
    fctm=0.3*fck_virt^(2/3); %Mean tensile strength EC2-1-1 
else
    fctm=2.12*log(1+fcm/10); %Mean tensile strangth EC2-1-1
end
end
