function [design1,design2,design3,design4,design5,beta,alfa1,alfa2,alfa3,alfa4,alfa5,X1,X2,X3,X4,X5,U1,U2,U3,U4,U5,A0,A1,A2,A3,A4,A5,A0_sorm,B1,B2,B3,B4,B5,SORM_factor] = FORM(mu_log1,mu_log2,mu_log3,mu_4,mu_5,b_vector,sigma_log1,sigma_log2,sigma_log3,sigma_4,sigma_5,start1,start2,start3,start4,start5,correlation_matrix)

syms u1 u2 u3 u4 u5
%-------Transforming to Y-space-------------%
A(u1,u2,u3,u4,u5) = [u1;u2;u3;u4;u5];
T = chol(correlation_matrix,'lower');
B(u1,u2,u3,u4,u5)=T*A;
u1_merket(u1,u2,u3,u4,u5) = T(1,1)*u1+T(1,2)*u2+T(1,3)*u3+T(1,4)*u4+T(1,5)*u5;
u2_merket(u1,u2,u3,u4,u5) = T(2,1)*u1+T(2,2)*u2+T(2,3)*u3+T(2,4)*u4+T(2,5)*u5;
u3_merket(u1,u2,u3,u4,u5) = T(3,1)*u1+T(3,2)*u2+T(3,3)*u3+T(3,4)*u4+T(3,5)*u5;
u4_merket(u1,u2,u3,u4,u5) = T(4,1)*u1+T(4,2)*u2+T(4,3)*u3+T(4,4)*u4+T(4,5)*u5;
u5_merket(u1,u2,u3,u4,u5) = T(5,1)*u1+T(5,2)*u2+T(5,3)*u3+T(5,4)*u4+T(5,5)*u5;

X1 = exp(u1_merket*sigma_log1+mu_log1);
X2 = exp(u2_merket*sigma_log2+mu_log2);
X3 = exp(u3_merket*sigma_log3+mu_log3);
X4 = u4_merket*sigma_4+mu_4;
X5 = u5_merket*sigma_5+mu_5;
%-------------------------------------------%
G = [1 X1 X2 X3 X4 X1^2 X2^2 X3^2 X4^2]*b_vector-X5; %Limit state
%---Linearizing limit state-----%
a1=diff(G,u1);
a2=diff(G,u2);
a3=diff(G,u3);
a4=diff(G,u4);
a5=diff(G,u5);
a0=G-a1*u1-a2*u2-a3*u3-a4*u4-a5*u5;
%-------------------------------%
%---SORM parameters-----%
b1=0.5*diff(a1,u1);
b2=0.5*diff(a2,u2);
b3=0.5*diff(a3,u3);
b4=0.5*diff(a4,u4);
b5=0.5*diff(a5,u5);
a0_sorm=G-a1*u1-a2*u2-a3*u3-a4*u4-a5*u5 + b1*u1^2 + b2*u2^2 + b3*u3^2 + b4*u4^2 + b5*u5^2;
% Gradient and Hessian
gradi=[a1;a2;a3;a4;a5];
hessian = ([diff(a1,u1) diff(a1,u2) diff(a1,u3) diff(a1,u4) diff(a1,u5); diff(a2,u1) diff(a2,u2) diff(a2,u3) diff(a2,u4) diff(a2,u5);diff(a3,u1) diff(a3,u2) diff(a3,u3) diff(a3,u4) diff(a3,u5);diff(a4,u1) diff(a4,u2) diff(a4,u3) diff(a4,u4) diff(a4,u5);diff(a5,u1) diff(a5,u2) diff(a5,u3) diff(a5,u4) diff(a5,u5)]);
I=eye(5,5);
%-----------------------%

%---Starting points of iterations-------%
u1(1)=(log(start1)-mu_log1)/sigma_log1;
u2(1)=(log(start2)-mu_log2)/sigma_log2;
u3(1)=(log(start3)-mu_log3)/sigma_log3;
u4(1)=(start4-mu_4)/sigma_4;
u5(1)=(start5-mu_5)/sigma_5;
%---------------------------------------%
i=1; %Iteration counter
conv=1;
while conv>10^-4
mu_g=double(a0(u1(i),u2(i),u3(i),u4(i),u5(i)));
sigma_g=double(sqrt(a1(u1(i),u2(i),u3(i),u4(i),u5(i))^2+a2(u1(i),u2(i),u3(i),u4(i),u5(i))^2+a3(u1(i),u2(i),u3(i),u4(i),u5(i))^2+a4(u1(i),u2(i),u3(i),u4(i),u5(i))^2+a5(u1(i),u2(i),u3(i),u4(i),u5(i))^2));
beta(i)=double(mu_g/sigma_g);
alfa1=double(a1(u1(i),u2(i),u3(i),u4(i),u5(i))/sigma_g);
alfa2=double(a2(u1(i),u2(i),u3(i),u4(i),u5(i))/sigma_g);
alfa3=double(a3(u1(i),u2(i),u3(i),u4(i),u5(i))/sigma_g);
alfa4=double(a4(u1(i),u2(i),u3(i),u4(i),u5(i))/sigma_g);
alfa5=double(a5(u1(i),u2(i),u3(i),u4(i),u5(i))/sigma_g);
alfa_sum=alfa1^2+alfa2^2+alfa3^2+alfa4^2+alfa5^2;
%---Updating design points----%
u1(i+1)=-alfa1*beta(i);
u2(i+1)=-alfa2*beta(i);
u3(i+1)=-alfa3*beta(i);
u4(i+1)=-alfa4*beta(i);
u5(i+1)=-alfa5*beta(i);
%-----------------------------%
conv1=u1(i+1)-u1(i);
conv2=u2(i+1)-u2(i);
conv3=u3(i+1)-u3(i);
conv4=u4(i+1)-u4(i);
conv5=u5(i+1)-u5(i);
conv=sqrt(conv1^2+conv2^2+conv3^2+conv4^2+conv5^2); %Convergence criterion
% form
A0(i,:)=double(a0(u1(i),u2(i),u3(i),u4(i),u5(i)));
A1(i,:)=double(a1(u1(i),u2(i),u3(i),u4(i),u5(i)));
A2(i,:)=double(a2(u1(i),u2(i),u3(i),u4(i),u5(i)));
A3(i,:)=double(a3(u1(i),u2(i),u3(i),u4(i),u5(i)));
A4(i,:)=double(a4(u1(i),u2(i),u3(i),u4(i),u5(i)));
A5(i,:)=double(a5(u1(i),u2(i),u3(i),u4(i),u5(i)));
% sorm
A0_sorm(i,:)=double(a0_sorm(u1(i),u2(i),u3(i),u4(i),u5(i)));
B1(i,:)=double(b1(u1(i),u2(i),u3(i),u4(i),u5(i)));
B2(i,:)=double(b2(u1(i),u2(i),u3(i),u4(i),u5(i)));
B3(i,:)=double(b3(u1(i),u2(i),u3(i),u4(i),u5(i)));
B4(i,:)=double(b4(u1(i),u2(i),u3(i),u4(i),u5(i)));
B5(i,:)=double(b5(u1(i),u2(i),u3(i),u4(i),u5(i)));
i=i+1;
end
beta=beta(end); %Reliability beta
%-----Design points-------------------%
U1=transpose(double(u1));
U2=transpose(double(u2));
U3=transpose(double(u3));
U4=transpose(double(u4));
U5=transpose(double(u5));
X1=exp(double(T(1,1)*u1+T(1,2)*u2+T(1,3)*u3+T(1,4)*u4+T(1,5)*u5)*sigma_log1+mu_log1)';
X2=exp(double(T(2,1)*u1+T(2,2)*u2+T(2,3)*u3+T(2,4)*u4+T(2,5)*u5)*sigma_log2+mu_log2)';
X3=exp(double(T(3,1)*u1+T(3,2)*u2+T(3,3)*u3+T(3,4)*u4+T(3,5)*u5)*sigma_log3+mu_log3)';
X4=(double(T(4,1)*u1+T(4,2)*u2+T(4,3)*u3+T(4,4)*u4+T(4,5)*u5)*sigma_4+mu_4)';
X5=(double(T(5,1)*u1+T(5,2)*u2+T(5,3)*u3+T(5,4)*u4+T(5,5)*u5)*sigma_5+mu_5)'; 

design1 = X1(end);
design2 = X2(end);
design3 = X3(end);
design4 = X4(end);
design5 = X5(end);
%-------------------------------------%

%----Calculating SORM-factor----------%
gradi_star = gradi(u1(end),u2(end),u3(end),u4(end),u5(end));
gradi_length=double(sqrt(sum(gradi_star.^2))); 

% I, P & H_tilde
P=gradi_length^-2*double(gradi_star)*double(transpose(gradi_star));
H_tilde=I + (beta)*gradi_length^-1*double(hessian(u1(end),u2(end),u3(end),u4(end),u5(end)));

% SORM factor 
SORM_factor = (det(((I-P)*H_tilde*(I-P))+P))^(-0.5); 
%-------------------------------------%
end