function [fc, fy, Ec, fct, Gc, Gf, kfy, ey, eu] = RSM_sampling(fc_center,fy_center,Ec_center,f,sigma_logc,sigma_logs,sigma_logEc,mu_logc,mu_logs,mu_logEc,fck,COV_c)
clc
close all

sigma_c = exp(mu_logc+sigma_logc^2/2)*sqrt(exp(sigma_logc^2)-1);
sigma_s = exp(mu_logs+sigma_logs^2/2)*sqrt(exp(sigma_logs^2)-1);
sigma_Ec = exp(mu_logEc+sigma_logEc^2/2)*sqrt(exp(sigma_logEc^2)-1);
%Lognormal mean:
fc_center_log = log(fc_center^2*sqrt(1/(sigma_c^2+fc_center^2)));
fy_center_log = log(fy_center^2*sqrt(1/(sigma_s^2+fy_center^2)));
Ec_center_log = log(Ec_center^2*sqrt(1/(sigma_Ec^2+Ec_center^2)));
%-----Realizations of the stochastic variables in the sample points-------%
fc(1) = fc_center;
fc(2) = exp(+f*sigma_logc+fc_center_log);
fc(3) = exp(-f*sigma_logc+fc_center_log);
fc(4) = fc_center;
fc(5) = fc_center;
fc(6) = fc_center;
fc(7) = fc_center;
fc(8) = fc_center;
fc(9) = fc_center;

fy(1) = fy_center;
fy(2) = fy_center;
fy(3) = fy_center;
fy(4) = exp(+f*sigma_logs+fy_center_log);
fy(5) = exp(-f*sigma_logs+fy_center_log);
fy(6) = fy_center;
fy(7) = fy_center;
fy(8) = fy_center;
fy(9) = fy_center;

Ec(1) = Ec_center;
Ec(2) = Ec_center;
Ec(3) = Ec_center;
Ec(4) = Ec_center;
Ec(5) = Ec_center;
Ec(6) = exp(+f*sigma_logEc+Ec_center_log);
Ec(7) = exp(-f*sigma_logEc+Ec_center_log);
Ec(8) = Ec_center;
Ec(9) = Ec_center;
%-------------------------------------------------------------------------%
%----Deterministic values-------%
for i=1:length(fc)
    [fct(i),Gf(i),Gc(i)]=Concrete(fc(i),fck,COV_c);
    [Es(i),kfy(i),ey(i),eu(i)] = Steel(fy(i));
end
%-------------------------------%
%------Modify .dat-files with material paramters from sample points-------%

files={'1.dat','2.dat','3.dat','4.dat','5.dat','6.dat','7.dat','8.dat','9.dat'};
[x,y]=size(files);

for i=1:length(fc)
fin = fopen(files{i},'r+');
TLINE = fgetl(fin);


while ischar(TLINE)
    STRING = 'MATMDL TSCR';
    FOUND = strfind(TLINE,STRING);
    if size(FOUND)*size(FOUND)' > 0
        myformat ='%s';
        string1='     YOUNG    ';
        stringEc=num2str(Ec(i),'%10.5e\n');
        YOUNG_C =[string1 stringEc];
        fseek(fin,0,'cof');
        fprintf(fin,myformat,YOUNG_C);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        string2='     TENSTR   ';
        stringFt=num2str(fct(i),'%10.5e\n');
        TENSTR =[string2 stringFt];
        fseek(fin,0,'cof');
        fprintf(fin,myformat,TENSTR);
        TLINE = fgetl(fin);
        string3='     GF1      ';
        stringGf=num2str(Gf(i),'%10.5e\n');
        GF1 =[string3 stringGf];
        fseek(fin,0,'cof');
        fprintf(fin,myformat,GF1);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        string4='     COMSTR   ';
        stringFc=num2str(fc(i),'%10.5e\n');
        COMSTR=[string4 stringFc];
        fseek(fin,0,'cof');
        fprintf(fin,myformat,COMSTR);
        TLINE = fgetl(fin);
        string5='     GC       ';
        stringGc=num2str(Gc(i),'%10.5e\n');
        GC=[string5 stringGc];
        fseek(fin,0,'cof');
        fprintf(fin,myformat,GC); 
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        string6='     YOUNG    ';
        stringEs=num2str(Es(i),'%10.5e\n');
        YOUNG_S=[string6 stringEs];
        fseek(fin,0,'cof');
        fprintf(fin,myformat,YOUNG_S);
        TLINE = fgetl(fin);
        TLINE = fgetl(fin);
        string7='     KAPSIG   0.00000E+00   ';
        string8='   ';
        stringFy=num2str(fy(i),'%10.5e\n');
        stringEpu=num2str(eu(i)-ey(i),'%10.5e\n');
        stringKfy=num2str(kfy(i),'%10.5e\n');
        KAPSIG=[string7 stringFy string8 stringEpu string8 stringKfy];
        KAPSIG1='     KAPSIG   0.00000E+00   7.34010E+02   7.73300E-02   7.76731E+02';
        fseek(fin,0,'cof');
        fprintf(fin,myformat,KAPSIG);
    end
   TLINE = fgetl(fin);
end
 fclose(fin);
end
%-------------------------------------------------------------------------%
end
