function [x1d,x2d,x3d,x4d,x5d,beta,alfa1,alfa2,alfa3,alfa4,alfa5,X1,X2,X3,X4,X5,U1,U2,U3,U4,U5,A0,A1,A2,A3,A4,A5,B1,B2,B3,B4,B5,Pf,A0_SORM] = SORM(mu_logc,mu_logs,mu_logE,mu_e,mu_N,b_vector,sigma_logc,sigma_logs,sigma_logE,sigma_e,sigma_N,start1,start2,start3,start4,start5)
%%%%INPUT PARAMETERS%%%%%%
%R = a_vector*b_vector
%b_vector contains the unknown coefficients of the response surface, and is found by RSM_generation.m
%G = R-Force is the limit state
%%%%%%%%%%%%%%%%%%%%%%%%%%
syms u1 u2 u3 u4 u5
G(u1,u2,u3,u4,u5)=[1 exp(u1*sigma_logc+mu_logc) exp(u2*sigma_logs+mu_logs) exp(u3*sigma_logE+mu_logE) u4*sigma_e+mu_e u5*sigma_N+mu_N (exp(u1*sigma_logc+mu_logc))^2 (exp(u2*sigma_logs+mu_logs))^2 (exp(u3*sigma_logE+mu_logE))^2 (u4*sigma_e+mu_e)^2 (u5*sigma_N+mu_N)^2]*b_vector;
%-----Approximating limit state function------%
a1=diff(G,u1);
a2=diff(G,u2);
a3=diff(G,u3);
a4=diff(G,u4);
a5=diff(G,u5);
b1=0.5*diff(a1,u1);
b2=0.5*diff(a2,u2);
b3=0.5*diff(a3,u3);
b4=0.5*diff(a4,u4);
b5=0.5*diff(a5,u5);
a0=G-a1*u1-a2*u2-a3*u3-a4*u4-a5*u5;
a0_sorm=G-a1*u1-a2*u2-a3*u3-a4*u4-a5*u5+b1*u1^2+b2*u2^2+b3*u3^2+b4*u4^2+b5*u5^2;
%---------------------------------------------%
%---SORM parameters----------%
gradi=[a1;a2;a3;a4;a5];
hessian =([diff(a1,u1) diff(a1,u2) diff(a1,u2) diff(a1,u4) diff(a1,u5); diff(a2,u1) diff(a2,u2) diff(a2,u2) diff(a2,u4) diff(a2,u5);diff(a3,u1) diff(a3,u2) diff(a3,u2) diff(a3,u4) diff(a3,u5);diff(a4,u1) diff(a4,u2) diff(a4,u2) diff(a4,u4) diff(a4,u5);diff(a5,u1) diff(a5,u2) diff(a5,u2) diff(a5,u4) diff(a5,u5)]);
I=eye(5,5);
%----------------------------%
%----Starting points for FORM iterations-----%
u1(1)=(log(start1)-mu_logc)/sigma_logc;
u2(1)=(log(start2)-mu_logs)/sigma_logs;
u3(1)=(log(start3)-mu_logE)/sigma_logE;
u4(1)=(start4-mu_e)/sigma_e;
u5(1)=(start5-mu_N)/sigma_N;
%--------------------------------------------%
i=1;
conv=1;
while conv>10^-6 %Check for convergence
mu_g=double(a0(u1(i),u2(i),u3(i),u4(i),u5(i)));
sigma_g=sqrt(double(a1(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a2(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a3(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a4(u1(i),u2(i),u3(i),u4(i),u5(i)))^2+double(a5(u1(i),u2(i),u3(i),u4(i),u5(i)))^2);
beta=mu_g/sigma_g;
alfa1=double(a1(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa2=double(a2(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa3=double(a3(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa4=double(a4(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa5=double(a5(u1(i),u2(i),u3(i),u4(i),u5(i)))/sigma_g;
alfa_sum=alfa1^2+alfa2^2+alfa3^2+alfa4^2+alfa5^2;

%---Updating design points------%
u1(i+1)=-alfa1*beta;
u2(i+1)=-alfa2*beta;
u3(i+1)=-alfa3*beta;
u4(i+1)=-alfa4*beta;
u5(i+1)=-alfa5*beta;
%-------------------------------%

%-----SORM PROBABILITY OF FAILURE---------%
gradi_star=gradi(u1(i+1),u2(i+1),u3(i+1),u4(i+1),u5(i+1));
gradi_length=double(sqrt(sum(gradi_star.^2))); 
% P & H_tilde
P=gradi_length^-2*double(gradi_star)*double(transpose(gradi_star));
H_tilde=I + (beta)*gradi_length^-1*double(hessian(u1(i+1),u2(i+1),u3(i+1),u4(i+1),u5(i+1)));

% SORM factor & Pr(F)
SORM_factor1 = (det(((I-P)*H_tilde*(I-P))+P))^(-0.5); 
pf_0 = normcdf(-beta,0,1); 
Pf1(i+1)=SORM_factor1*pf_0; 
%------------------------------------------%
conv=sqrt((u1(i+1)-u1(i))^2+(u2(i+1)-u2(i))^2+(u3(i+1)-u3(i))^2+(u4(i+1)-u4(i))^2+(u5(i+1)-u5(i))^2);
A0(i,:)=double(a0(u1(i),u2(i),u3(i),u4(i),u5(i)));
A1(i,:)=double(a1(u1(i),u2(i),u3(i),u4(i),u5(i)));
A2(i,:)=double(a2(u1(i),u2(i),u3(i),u4(i),u5(i)));
A3(i,:)=double(a3(u1(i),u2(i),u3(i),u4(i),u5(i)));
A4(i,:)=double(a4(u1(i),u2(i),u3(i),u4(i),u5(i)));
A5(i,:)=double(a5(u1(i),u2(i),u3(i),u4(i),u5(i)));
B1(i,:)=double(b1(u1(i),u2(i),u3(i),u4(i),u5(i)));
B2(i,:)=double(b2(u1(i),u2(i),u3(i),u4(i),u5(i)));
B3(i,:)=double(b3(u1(i),u2(i),u3(i),u4(i),u5(i)));
B4(i,:)=double(b4(u1(i),u2(i),u3(i),u4(i),u5(i)));
B5(i,:)=double(b5(u1(i),u2(i),u3(i),u4(i),u5(i)));
A0_SORM(i,:)=double(a0_sorm(u1(i),u2(i),u3(i),u4(i),u5(i)));
i=i+1;
end
%------Design points--------%
U1=double(u1)';
U2=double(u2)';
U3=double(u3)';
U4=double(u4)';
U5=double(u5)';
X1=double(exp(u1*sigma_logc+mu_logc))'; x1d=X1(end);
X2=double(exp(u2*sigma_logs+mu_logs))'; x2d=X2(end);
X3=double(exp(u3*sigma_logE+mu_logE))'; x3d=X3(end);
X4=double((u4*sigma_e+mu_e))'; x4d=X4(end);
X5=double((u5*sigma_N+mu_N))'; x5d=X5(end);
Pf=Pf1(end);
%----------------------------%
end